Description

Hi!

The Live GPS Traking should include more informations such as:

   Dilution of precision (eg. PDOṔ; GDOP)

   Availability of SBAS (WAAS/EGNOS)

   The ability to choose the quality parameters to collect data (maximum PDOP; collect only in 3D and/or DGPS)

   Also, the ability to capture points/vertex by averaging GPS positions (determined by the user); Also it could capture lines or areas by

streaming GPS position by time or by distance (the user chooses it's favorite and it's value).

These feature could improve the Live GPS Traking.

Best Regards,

Pedro Ferreira

History

#1 - 2011-08-10 08:37 AM - Steven Mizuno

Hi Pedro,

The additional information fields are already being considered - see #4071.

Capturing data based on various quality and for varying purposes suggests to me that there should be specific tools for particular tasks. These would make

use of the GPS information as provided by the GPS Information widget. A more specific definition of these tools - what each does and which qualities to

check for choosing data - would help to design such tools.

Regards,

Steve

#2 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2016-05-24 01:20 PM - Alexander Bruy

- Category changed from GUI to GPS Live Tracking

#4 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2018-11-29 10:58 AM - J F

Hej!

Is there still progress on this issue?
When you look at the recent developments (PPP-solution vor smartphones, autonomous cars, etc.) GNSS is quite a big topic these days. So should also

be the quality of it's measurements!

A nice improvement of the GPS-Info tool would be some kind of "autodetection" of layer field names for NMEA stream fields! For example:

    -  if [HVP]DOP is provided from GNSS-Device and Layer holds a field "[HVP]DOP" auto fill it

    -  same for:

    -  OrthometricHeight (Since this information isn't stored in the geometry!)

    -  NumberOfSatellites

    -  TimeToFix

    -  DateOfMeasurement

    -  GridEasting (LLQ)

    -  GridNorthing (LLQ)

    -  GridHeight (LLQ)

This would really boost that feature forward!
